Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007256TestLinkBug Tracking System - Redmine Integrationpublic2015-09-15 15:422016-09-08 15:13
Reporterdaki 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.13 (2015 #1) 
Fixed in Version1.9.15 (2015 Q4) 
Summary0007256: Testlink Connection Failure : Unable to connect to Redmine Hosted in Cloud Via Proxy Configuration
DescriptionConnection Failure, Testlink unable to connect to redmine-hosted in cloud.

1)Testlink Installed in Windows server, Redmine is hosted in cloud.

2)Testlink -> Redmine Issue Integration Configuration done.

Note: Configuration setting working fine, able to connect to Redmine hosted in same server however, connection failed with redmine cloud server.

3)My Windows Sever > Internet Explore > Lan setting > Proxy Settings done (Internet got enabled in windows server)

4)Testlink>Config.inc file > Proxy setting done accordingly

/* [PROXY] */
$tlCfg->proxy->host = 'xxxx';
$tlCfg->proxy->port = 'xxxx';
$tlCfg->proxy->login = 'xxxx';
$tlCfg->proxy->password = 'xxxx';

Just gave xxxx as example, in actual configured correctly.

5)Tested connection it failed, No Event Log error.

Please let know what i am missing, Is there any other config files where have to do configuration.
Steps To Reproduce1)Install Testlink in windows server
2)Install Redmine in cloud
3)Configure testlink > redmine rest api settings
4)Enable proxy in test link windows server > ie > lan setting
5)Edit test link config.with proxy setting & save
6)Testlink click on test issue tracker connection.
Additional InformationPlease help on this proxy configuration.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserIE
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
parent of 0007257closedfman Add PROXY config on issuetracker integration via REST API 
child of 0007262closedfman Availables hot-fixes for 1.9.14 & How To get full fixed package from GitHub 

-  Notes
(0023860)
fman (administrator)
2015-09-15 20:13

>>6)Testlink click on test issue tracker connection.
what do you get?

Browser proxy settings have no effect on how testlink works, because testlink do not use browser to connect to redmine through API.

There is no provision to use proxy on Redmine API => ask your sysadmin/network people to configure rule that will allow server where TestLink is installed to reach without using the proxy the redmine on cloud
(0023861)
fman (administrator)
2015-09-15 20:18

proxy configuration is available ONLY with latest fixes => do not providing information regarding the fact you are using latest code from github is an error.

proxy config rigth now is only used on mantis & jira soap integrations (this info will be added to config file)
(0023863)
daki (reporter)
2015-09-16 05:20

6) Error : Connection is KO (detailed message in event log)check configuration.

>Redmine is on cloud to connect to it i need internet access, to get internet access on my windows server i have to configure proxy settings in my IE browser.

>The solution of configuring rule to getting my windows server connect to internet with out proxy settings works.

>However, the challenge is my infra and security team does not allow that open internet access, it should be connected only through proxy. (They have security / vulnerability concerns)

>Correct i can only find proxy config in jira and mantis php files however, not in redmine file.

>Can you please help me with the proxy config code, that i have to input in the redminerestInterface.class .... so that it works.

Thanks for your time.
(0023864)
fman (administrator)
2015-09-16 10:06

>However, the challenge is my infra and security team does not allow that open >internet access, it should be connected only through proxy. (They have security / >vulnerability concerns)
Then you will have to wait till I'll find time to work on this issue.
(0023998)
daki (reporter)
2015-09-23 15:34

Thanks for very quick responses, i find status as resolved.

Is there a solution ? If so please guide me.

I can see fixed in version as 1.9.15 (2015 Q4), is this version released if so please let know the path to download, if not any expected time for release.
(0024000)
fman (administrator)
2015-09-23 17:53

Please let me know if you can see information issue on section "Relationships"
(0024001)
daki (reporter)
2015-09-24 14:27

I can find two relationships, 0007257 - Resolved and 0007262 in assigned status.

I went to 0007262 and downloaded the latest version however in changelog i did not find this bug 7256 fix listed.

Am i missing something here, please clarify.
(0024002)
fman (administrator)
2015-09-24 15:23

CHANGELOG IS UPDATED ONLY AFTER STABLE RELEASE
get the code from github and go
(0024006)
daki (reporter)
2015-09-25 07:16

Downloaded and did a fresh install (1.9.15 (DEV]), Got below error,

139
array(11) { [10018]=> string(15) "TestLink 1.9.15" [41]=> int(0) [52]=> bool(true) [19913]=> bool(true) [58]=> bool(true) [13]=> int(60) [64]=> bool(false) [101]=> string(4) "HTTP" [59]=> string(4) "1814" [10004]=> string(12) "172.18.7.252" [10006]=> string(21) "mag/12345:Mag1234" }
141


Steps :

1)Fresh install of Testlink 1.9.15(dev)
2)Test link config file add proxy details
3)Test link gui add issue integration details
4)Check connection : Failed (Connection is KO and above error message displayed)

Testlink > Config.inc

$tlCfg->proxy->host = '172.18.7.252';
$tlCfg->proxy->port = '1814';
$tlCfg->proxy->login = 'mag/12345';
$tlCfg->proxy->password = 'Mag1234';

>Testlink > GUI > Issue Tracker Management

<issuetracker>
<apikey>733b216d493725186823cf0c500e7263d57ff9da5</apikey>
<uribase>http://54.113.137.110:3000</uribase> [^]
<uriview>http://54.213.137.110:3000/issues/</uriview> [^]
<projectidentifier>employee-portal</projectidentifier>
</issuetracker>
-----------------------
Please help, Thanks.
(0024007)
daki (reporter)
2015-09-25 09:27

Event Log:
redminerestInterface::connect [uribase=http://54.113.137.110:3000 [^] / apikey=733b216d493725186823cf0c500e7263d57ff9da5] redmine::_requesturl:http://54.213.137.110:3000 [^] - response:{"url":"http:\/\/54.213.137.110:3000\/projects.xml","content_type":"text\/html;charset=utf-8","http_code":403,"header_size":169,"request_size":273,"filetime":-1,"ssl_verify_result":0,"redirect_count":0,"total_time":0.031,"namelookup_time":0,"connect_time":0,"pretransfer_time":0,"size_upload":0,"size_download":961,"speed_download":31000,"speed_upload":0,"download_content_length":961,"upload_content_length":0,"starttransfer_time":0.031,"redirect_time":0,"redirect_url":"","primary_ip":"172.18.7.252","certinfo":[],"primary_port":1814,"local_ip":"172.17.6.84","local_port":52446} - content: "<html><head><title>Apache Tomcat\/6.0.39 - Error report<\/title><style><!--H1 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} H2 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:16px;} H3 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;} BODY {font-family:Tahoma,Arial,sans-serif;color:black;background-color:white;} B {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;} P {font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:12px;}A {color : black;}A.name {color : black;}HR {color : #525D76;}--><\/style> <\/head><body><h1>HTTP Status 403 - <\/h1><HR size=\"1\" noshade=\"noshade\">

type<\/b> Status report<\/p>

message<\/b> <\/u><\/p>

description<\/b> Access to the specified resource has been forbidden.<\/u><\/p><HR size=\"1\" noshade=\"noshade\"><h3>Apache Tomcat\/6.0.39<\/h3><\/body><\/html>"
--------------------------

E_WARNING Creating default object from empty value - in C:\xampp\htdocs\testlink\lib\issuetrackerintegration\redminerestInterface.class.php - Line 163

(0024008)
fman (administrator)
2015-09-25 19:55

this
139
array(11) { [10018]=> string(15) "TestLink 1.9.15" [41]=> int(0) [52]=> bool(true) [19913]=> bool(true) [58]=> bool(true) [13]=> int(60) [64]=> bool(false) [101]=> string(4) "HTTP" [59]=> string(4) "1814" [10004]=> string(12) "172.18.7.252" [10006]=> string(21) "mag/12345:Mag1234" }
141

is a debug message NOT an error.
(0024009)
fman (administrator)
2015-09-25 19:57

I've tested using an squid proxy installed locally and worked OK.
do not now if the domain/user works, I've used obviuosly only user

ask some of your network guys to test using curl or something similar
(0024019)
daki (reporter)
2015-09-26 05:51

Thanks a lot, it finally worked.

Spoke with my network team, they suggested to use different port number when used that port am able to get connected to Redmine and bugs are getting created in redmine, Thanks.

-------------------
Now only issue pending is that debug message, it is showing up when ever there is connection with redmine, not only to admin to users also that message it getting displayed which has credentials.

139
array(11) { [10018]=> string(15) "TestLink 1.9.15" [41]=> int(0) [52]=> bool(true) [19913]=> bool(true) [58]=> bool(true) [13]=> int(60) [64]=> bool(false) [101]=> string(4) "HTTP" [59]=> string(4) "1814" [10004]=> string(12) "172.18.7.252" [10006]=> string(21) "mag/12345:Mag1234" }
141

--------------
Please Help me get rid of that debug message.
(0024022)
fman (administrator)
2015-09-26 08:49

As you can look for your self most of the time you were asking for help to the wrong people ME, because this was OBVIOUS (after my implementation) that people on your side need to do some checks.
TO get rid of message is IMHO a thing you can do for yourself just looking for an echo, or print_r instructions.
Then try to do some little effort for your side, and also think about supporting TestLink through donation or buying support or custom development

VERY BAD way to work: adding a different problem in a RESOLVED ISSUE , is what you have done on last note that I will delete.
Open a new issue for this with a GOOD SUBJECT
(0024026)
daki (reporter)
2015-09-26 16:52
edited on: 2015-09-27 13:31

Thanks, Able to connect via Proxy.

You are the right person because you fixed it, previously there was no redmine proxy setting now you added/fixed it so you are super man for me :-)

However, the debug error message is coming up only after your fix on redmine proxy configuration, so i thought it would be very easy for you to fix/help.

Will support testlink for sure if we go live.

Agree this is different problem however, related to this the fix given, so will raise a new issue.

(0024027)
daki (reporter)
2015-09-26 16:53

You rock fman, thanks for the support, we are now able to connect to redmine via proxy.
(0024037)
fman (administrator)
2015-09-28 05:00

Favour needed can you contact reporter of 0007271 and try to exchange experiences? he is blocked and I have no clue

regards
(0025326)
fman (administrator)
2016-09-08 15:13

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2015-09-15 15:42 daki New Issue
2015-09-15 20:13 fman Note Added: 0023860
2015-09-15 20:13 fman Assigned To => fman
2015-09-15 20:13 fman Status new => feedback
2015-09-15 20:18 fman Note Added: 0023861
2015-09-15 20:34 fman Relationship added parent of 0007257
2015-09-16 05:20 daki Note Added: 0023863
2015-09-16 05:20 daki Status feedback => assigned
2015-09-16 10:06 fman Note Added: 0023864
2015-09-19 18:15 fman QA Team - Task Workflow Status => READY FOR TESTING
2015-09-19 18:15 fman Status assigned => resolved
2015-09-19 18:15 fman Fixed in Version => 1.9.15 (2015 Q4)
2015-09-19 18:15 fman Resolution open => fixed
2015-09-19 18:16 fman Relationship added child of 0007262
2015-09-23 15:34 daki Note Added: 0023998
2015-09-23 17:53 fman Note Added: 0024000
2015-09-24 14:27 daki Note Added: 0024001
2015-09-24 15:23 fman Note Added: 0024002
2015-09-25 07:16 daki Note Added: 0024006
2015-09-25 09:27 daki Note Added: 0024007
2015-09-25 19:55 fman Note Added: 0024008
2015-09-25 19:57 fman Note Added: 0024009
2015-09-26 05:51 daki Note Added: 0024019
2015-09-26 06:03 daki Note Added: 0024020
2015-09-26 08:49 fman Note Added: 0024022
2015-09-26 08:52 fman Note Deleted: 0024020
2015-09-26 16:52 daki Note Added: 0024026
2015-09-26 16:53 daki Note Added: 0024027
2015-09-27 13:31 daki Note Edited: 0024026 View Revisions
2015-09-28 05:00 fman Note Added: 0024037
2016-09-08 15:13 fman Note Added: 0025326
2016-09-08 15:13 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker